SMEMCAP(8)

NAME
smemcap - Capture memory usage data for later processing by smem.

SYNOPSIS
smemcap

DESCRIPTION
smemcap captures data on system to be later processed by smem. It captures all /proc entries required by smem and outputs them as an uncompressed .tar file to STDOUT. smem can analyze the output using the --source option. smemcap is small and does not require Python.

OPTIONS
This program does not accept any options.

EXAMPLE
smemcap > memorycapture.tar

FILES
/proc/$pid/cmdline

/proc/$pid/smaps

/proc/$pid/stat

/proc/meminfo

/proc/version

RESOURCES
Main Web Site: http://www.selenic.com/smem Source code repository: http://selenic.com/repo/smem Mailing list: http://selenic.com/mailman/listinfo/smem

SEE ALSO
smem(8), free(1), pmap(1), proc(5), ps(1), top(1), vmstat(8)

COPYING
Copyright (C) 2008-2009 Matt Mackall. Free use of this software is granted under the terms of the GNU General Public License version 2 or later.

AUTHOR
smem was written by Matt Mackall.